com.tibbo.aggregate.common.expression.parser

## Class ExpressionParser

- java.lang.Object
- - com.tibbo.aggregate.common.expression.parser.ExpressionParser

- All Implemented Interfaces:
    ExpressionParserConstants, ExpressionParserTreeConstants

      public class ExpressionParser
      extends java.lang.Object
      implements ExpressionParserTreeConstants, ExpressionParserConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Token` | `jj_nt` Next token.
    `protected JJTExpressionParserState` | `jjtree`
    `Token` | `token` Current token.
    `ExpressionParserTokenManager` | `token_source` Generated Token Manager.

    - ### Fields inherited from interface com.tibbo.aggregate.common.expression.parser.ExpressionParserTreeConstants

      `JJTADDNODE, JJTBITWISEANDNODE, JJTBITWISENOTNODE, JJTBITWISEORNODE, JJTBITWISEXORNODE, JJTCONDITIONALNODE, JJTDIVNODE, JJTEQNODE, JJTFALSENODE, JJTFLOATCONSTNODE, JJTFUNCTIONNODE, JJTGENODE, JJTGTNODE, JJTLEFTSHIFTNODE, JJTLENODE, JJTLOGICALANDNODE, JJTLOGICALNOTNODE, JJTLOGICALORNODE, JJTLONGCONSTNODE, JJTLTNODE, JJTMODNODE, JJTMULNODE, JJTNENODE, jjtNodeName, JJTNULLNODE, JJTREGEXMATCHNODE, JJTRIGHTSHIFTNODE, JJTSTART, JJTSTRINGCONSTNODE, JJTSUBTRACTNODE, JJTTRUENODE, JJTUNARYNODE, JJTUNSIGNEDRIGHTSHIFTNODE, JJTVALUEREFERENCENODE, JJTVOID`

    - ### Fields inherited from interface com.tibbo.aggregate.common.expression.parser.ExpressionParserConstants

      `AND, BINARY_LITERAL, BITWISE_AND, BITWISE_NOT, BITWISE_OR, BITWISE_XOR, COLON, COMMA, DECIMAL_LITERAL, DEFAULT, DIGIT, DIV, EOF, EQ, EXPONENT, FALSE, FLOATING_POINT_LITERAL, GT, GTE, HEX_LITERAL, IDENTIFIER, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INTEGER_LITERAL, LBRACE, LBRAKET, LEFT_SHIFT, LETTER, LT, LTE, MATCH, MINUS, MOD, MUL, MULTI_LINE_COMMENT, NE, NOT, NULL, OCTAL_LITERAL, OR, PLUS, QUESTION, RBRACE, RBRAKET, RIGHT_SHIFT, SINGLE_LINE_COMMENT, STRING_LITERAL, tokenImage, TRUE, URICHAR, URIGHT_SHIFT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionParser(ExpressionParserTokenManager tm)` Constructor with generated Token Manager.
    `ExpressionParser(java.io.InputStream stream)` Constructor with InputStream.
    `ExpressionParser(java.io.InputStream stream, java.lang.String encoding)` Constructor with InputStream and supplied encoding
    `ExpressionParser(java.io.Reader stream)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `AdditiveExpression()`
    `void` | `ArgumentList()`
    `void` | `Arguments()`
    `void` | `BitwiseAndExpression()`
    `void` | `BitwiseNotExpression()`
    `void` | `BitwiseOrExpression()`
    `void` | `BitwiseXorExpression()`
    `void` | `BooleanLiteral()`
    `void` | `ConditionalExpression()`
    `void` | `disable_tracing()` Disable tracing.
    `void` | `enable_tracing()` Enable tracing.
    `void` | `EqualityExpression()`
    `void` | `Expression()`
    `void` | `Function()`
    `ParseException` | `generateParseException()` Generate ParseException.
    `Token` | `getNextToken()` Get the next Token.
    `Token` | `getToken(int index)` Get the specific Token.
    `void` | `Literal()`
    `void` | `LogicalAndExpression()`
    `void` | `LogicalNotExpression()`
    `void` | `LogicalOrExpression()`
    `void` | `MultiplicativeExpression()`
    `void` | `PrimaryExpression()`
    `void` | `ReInit(ExpressionParserTokenManager tm)` Reinitialise.
    `void` | `ReInit(java.io.InputStream stream)` Reinitialise.
    `void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)` Reinitialise.
    `void` | `ReInit(java.io.Reader stream)` Reinitialise.
    `void` | `RelationalExpression()`
    `void` | `ShiftExpression()`
    `ASTStart` | `Start()`
    `void` | `UnaryExpression()`
    `void` | `ValueReference()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jjtree

          protected JJTExpressionParserState jjtree

    - #### token_source

          public ExpressionParserTokenManager token_source

      Generated Token Manager.

    - #### token

          public Token token

      Current token.

    - #### jj_nt

          public Token jj_nt

      Next token.

  - ### Constructor Detail

    - #### ExpressionParser

          public ExpressionParser(java.io.InputStream stream)

      Constructor with InputStream.

    - #### ExpressionParser

          public ExpressionParser(java.io.InputStream stream,
                                  java.lang.String encoding)

      Constructor with InputStream and supplied encoding

    - #### ExpressionParser

          public ExpressionParser(java.io.Reader stream)

      Constructor.

    - #### ExpressionParser

          public ExpressionParser(ExpressionParserTokenManager tm)

      Constructor with generated Token Manager.

  - ### Method Detail

    - #### Start

          public final ASTStart Start()
                               throws ParseException

      Throws:
        `ParseException`

    - #### Expression

          public final void Expression()
                                throws ParseException

      Throws:
        `ParseException`

    - #### ConditionalExpression

          public final void ConditionalExpression()
                                           throws ParseException

      Throws:
        `ParseException`

    - #### LogicalOrExpression

          public final void LogicalOrExpression()
                                         throws ParseException

      Throws:
        `ParseException`

    - #### LogicalAndExpression

          public final void LogicalAndExpression()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### BitwiseOrExpression

          public final void BitwiseOrExpression()
                                         throws ParseException

      Throws:
        `ParseException`

    - #### BitwiseXorExpression

          public final void BitwiseXorExpression()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### BitwiseAndExpression

          public final void BitwiseAndExpression()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### EqualityExpression

          public final void EqualityExpression()
                                        throws ParseException

      Throws:
        `ParseException`

    - #### RelationalExpression

          public final void RelationalExpression()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### ShiftExpression

          public final void ShiftExpression()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### AdditiveExpression

          public final void AdditiveExpression()
                                        throws ParseException

      Throws:
        `ParseException`

    - #### MultiplicativeExpression

          public final void MultiplicativeExpression()
                                              throws ParseException

      Throws:
        `ParseException`

    - #### UnaryExpression

          public final void UnaryExpression()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### LogicalNotExpression

          public final void LogicalNotExpression()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### BitwiseNotExpression

          public final void BitwiseNotExpression()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### PrimaryExpression

          public final void PrimaryExpression()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### Function

          public final void Function()
                              throws ParseException

      Throws:
        `ParseException`

    - #### Arguments

          public final void Arguments()
                               throws ParseException

      Throws:
        `ParseException`

    - #### ArgumentList

          public final void ArgumentList()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### ValueReference

          public final void ValueReference()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### Literal

          public final void Literal()
                             throws ParseException

      Throws:
        `ParseException`

    - #### BooleanLiteral

          public final void BooleanLiteral()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### ReInit

          public void ReInit(java.io.InputStream stream)

      Reinitialise.

    - #### ReInit

          public void ReInit(java.io.InputStream stream,
                             java.lang.String encoding)

      Reinitialise.

    - #### ReInit

          public void ReInit(java.io.Reader stream)

      Reinitialise.

    - #### ReInit

          public void ReInit(ExpressionParserTokenManager tm)

      Reinitialise.

    - #### getNextToken

          public final Token getNextToken()

      Get the next Token.

    - #### getToken

          public final Token getToken(int index)

      Get the specific Token.

    - #### generateParseException

          public ParseException generateParseException()

      Generate ParseException.

    - #### enable_tracing

          public final void enable_tracing()

      Enable tracing.

    - #### disable_tracing

          public final void disable_tracing()

      Disable tracing.